RDKit::MolAlign::MolHistogram Class Reference

`#include <O3AAlignMolecules.h>`

## Public Member Functions

| MolHistogram (const ROMol &mol, const double *dmat, bool cleanupDmat=false)
| ~MolHistogram ()=default
int | get (const unsigned int y, const unsigned int x) const

## Detailed Description

Definition at line 131 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

## MolHistogram()

RDKit::MolAlign::MolHistogram::MolHistogram | ( | const ROMol & | mol,
|  | const double * | dmat,
|  | bool | cleanupDmat = `false`
| ) |  |

## ~MolHistogram()

RDKit::MolAlign::MolHistogram::~MolHistogram | ( |  | ) |

default

## Member Function Documentation

## get()

int RDKit::MolAlign::MolHistogram::get | ( | const unsigned int | y,
|  | const unsigned int | x
| ) |  | const

inline

Definition at line 135 of file O3AAlignMolecules.h.

References PRECONDITION.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h